<template>
  <dibs-layout page="prelogin" layout="two-columns" :video="video">
    <template #aside-header>
      <dibs-elem-back to="/index2" />
      <dibs-elem-lang-dropdown />
    </template>
    <template #aside-title
      ><h1>{{ $t("page.prelogin.title") }}</h1></template
    >
    <template #content>
      <h2>
        {{ $t("page.prelogin.subtitle") }}
        <dibs-img alt="SwissID" file="logos/SwissID_big.png" />?
      </h2>
      <p>{{ $t("page.prelogin.content") }}</p>
      <dibs-utils-push-up />
      <dibs-input-checkbox v-model="accepted" :checked="accepted">
        {{ $t("page.prelogin.cgv.part_1") }} </dibs-input-checkbox
      >&nbsp;<a to="#" @click="modals.open('cgv')">
        {{ $t("page.prelogin.cgv.part_2") }}
      </a>
      <dibs-elem-btn
        :disabled="!accepted"
        :label="$t('page.prelogin.action')"
        :href="
          $config.public.dibsApiBasePath +
          '/login/connect?redirect=' +
          localePath('/router')
        "
        picto="forward"
      />
      <dibs-elem-btn
        :disabled="!accepted"
        label="Me connecter via ma caisse de pension"
        goto="prelogin2"
        picto="forward"
      />
      <dibs-modal id="cgv">
        <template #title>{{ $t("page.prelogin.cgv.title") }}</template>
        <template #content>
          <!-- eslint-disable-next-line vue/no-v-html -->
          <div v-html="$t('page.prelogin.cgv.html')" />
        </template>
      </dibs-modal>
    </template>
  </dibs-layout>
</template>

<script>
definePageMeta({
  middleware: ["if-authenticated-then-router"],
});

export default {
  name: "IndexPage",
  layout: "dibs",
  data() {
    return {
      accepted: false,
      modals: this.$models.Modals(),
      video: this.$tm("page.prelogin.video"),
    };
  },
  mounted() {
    this.$models.Loader().off();
  },
};
</script>
